Record a widget runtime failure
curl --request POST \
--url https://api.semicola.com/mcp/widget-runtime-failure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"view": "<string>",
"resourceUri": "<string>",
"message": "<string>",
"toolName": "<string>",
"conversationUid": "<string>",
"details": {},
"occurredAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.semicola.com/mcp/widget-runtime-failure"
payload = {
"view": "<string>",
"resourceUri": "<string>",
"message": "<string>",
"toolName": "<string>",
"conversationUid": "<string>",
"details": {},
"occurredAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
view: '<string>',
resourceUri: '<string>',
message: '<string>',
toolName: '<string>',
conversationUid: '<string>',
details: {},
occurredAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.semicola.com/mcp/widget-runtime-failure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ok": true
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Widget host
Record a widget runtime failure
POST
/
mcp
/
widget-runtime-failure
Record a widget runtime failure
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Body
application/json
Pattern:
^ui:\/\/semicola\/[a-z0-9-]+\/mcp-app\.html$Available options:
bridge, hydrate_tool_call, payload_validation Maximum string length:
4000Available options:
tool_unavailable, denied_by_host, call_failed Minimum string length:
6Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$